###########################################################################
#
# win32.mak -- Windows Makefile for common-src\src\lib
#
# By Michael Dewsnip
#
# Copyright (C) 2010  DL Consulting Ltd.
#
###########################################################################


COMMON_SRC_DIR = ..\..
GSDL_DIR = $(COMMON_SRC_DIR)\..


# Libraries compiled
LIBRARIES = libgsdllib.lib

# Library: libgsdllib.lib
LIBGSDL_CPPFLAGS =

# Option: SQLite support (enabled by default)
USE_SQLITE = 1
!IF $(USE_SQLITE)
LIBGSDL_CPPFLAGS = -DUSE_SQLITE $(LIBGSDL_CPPFLAGS) -I"$(GSDL_DIR)\common-src\packages\sqlite\include"
!ENDIF

# Objects for libgsdllib.lib
LIBGSDL_OBJECTS = \
	cfgread.obj \
	cnfgable.obj \
	cnfgator.obj \
	dbclass.obj \
	display.obj \
	fileutil.obj \
	gsdlsitecfg.obj \
	gsdltimes.obj \
	gsdltools.obj \
	gsdlunicode.obj \
	infodbclass.obj \
	OIDtools.obj \
	phrases.obj \
	sqldbclass.obj \
	text_t.obj \
	unitool.obj

# Option: SQLite support (enabled by default)
USE_SQLITE = 1
!IF $(USE_SQLITE)
LIBGSDL_OBJECTS = $(LIBGSDL_OBJECTS) sqlitedbclass.obj
!ENDIF


COMPILE = $(CPP) -nologo -c -EHsc -D__WIN32__ -DXML_STATIC -D_CRT_SECURE_NO_DEPRECATE $(LIBGSDL_CPPFLAGS)

.SUFFIXES:
.SUFFIXES: .cpp .obj

.cpp.obj:
	$(COMPILE) $<


libgsdllib.lib: $(LIBGSDL_OBJECTS) 
	if EXIST libgsdllib.lib del libgsdllib.lib
	lib -nologo /out:libgsdllib.lib $(LIBGSDL_OBJECTS)

all: $(LIBRARIES)

install: $(LIBRARIES)

clean:
	if EXIST *.obj del *.obj
	if EXIST $(LIBRARIES) del $(LIBRARIES)
