###########################################################################
#
# win32.mak -- Windows Makefile for runtime-src\src\colservr
#
# By Michael Dewsnip
#
# Copyright (C) 2010  DL Consulting Ltd.
#
###########################################################################


RUNTIME_SRC_DIR = ..\..
GSDL_DIR = $(RUNTIME_SRC_DIR)\..


# Libraries compiled
LIBRARIES = libgsdlcolservr.lib

# Library: libgsdlcolservr.lib
# Do NOT add the "recpt" directory here: the colserver should be independent of the receptionist!
LIBCOLSERVR_CPPFLAGS = \
	-I"$(GSDL_DIR)\common-src\src\lib"

# Option: Lucene support (enabled by default)
ENABLE_LUCENE = 1
!IF $(ENABLE_LUCENE)
LIBCOLSERVR_CPPFLAGS = -DENABLE_LUCENE $(LIBCOLSERVR_CPPFLAGS) -I"$(GSDL_DIR)\common-src\packages\expat\include"
!ENDIF

# Option: SQLite support (enabled by default)
USE_SQLITE = 1
!IF $(USE_SQLITE)
LIBCOLSERVR_CPPFLAGS = -DUSE_SQLITE $(LIBCOLSERVR_CPPFLAGS) -I"$(GSDL_DIR)\common-src\packages\sqlite\include"
!ENDIF

LIBCOLSERVR_OBJECTS = \
	browsefilter.obj \
	collectserver.obj \
	collectset.obj \
	colservrconfig.obj \
	comtypes.obj \
	filter.obj \
	lucenequeryfilter.obj \
	lucenesearch.obj \
	lucenesource.obj \
	maptools.obj \
	phrasesearch.obj \
	querycache.obj \
	queryfilter.obj \
	queryinfo.obj \
	search.obj \
	source.obj \
	sqlbrowsefilter.obj \
	sqlfilter.obj \
	sqlqueryfilter.obj

# Option: Lucene support (enabled by default)
ENABLE_LUCENE = 1
!IF $(ENABLE_LUCENE)
LIBCOLSERVR_OBJECTS = $(LIBCOLSERVR_OBJECTS) expat_document.obj expat_resultset.obj
!ENDIF


COMPILE = $(CPP) -nologo -c -EHsc -D__WIN32__ -DXML_STATIC -D_CRT_SECURE_NO_DEPRECATE $(LIBCOLSERVR_CPPFLAGS)

.SUFFIXES:
.SUFFIXES: .cpp .obj

.cpp.obj:
	$(COMPILE) $<


libgsdlcolservr.lib: $(LIBCOLSERVR_OBJECTS)
	if EXIST libgsdlcolservr.lib del libgsdlcolservr.lib
	lib -nologo /out:libgsdlcolservr.lib $(LIBCOLSERVR_OBJECTS)

all: $(LIBRARIES)

install: $(LIBRARIES)

clean:
	if EXIST *.obj del *.obj
	if EXIST $(LIBRARIES) del $(LIBRARIES)
