###########################################################################
#
# win32.mak -- Windows Makefile for runtime-src\src\oaiservr
#
# By Michael Dewsnip
#
# Copyright (C) 2010  DL Consulting Ltd.
#
###########################################################################


RUNTIME_SRC_DIR = ..\..
GSDL_DIR = $(RUNTIME_SRC_DIR)\..


# Programs compiled and their install directories
CGIBIN_DIR = "$(GSDL_DIR)\cgi-bin"
CGIBIN_PROGRAMS = oaiserver.cgi

# Program: oaiserver.cgi
OAISERVER_CGI_CPPFLAGS = \
	-I"$(GSDL_DIR)\common-src\src\lib" \
	-I"$(GSDL_DIR)\runtime-src\src\colservr" \
	-I"$(GSDL_DIR)\runtime-src\src\protocol" \
	-I"$(GSDL_DIR)\runtime-src\src\recpt"

# Objects for oaiserver.cgi
OAISERVER_CGI_OBJECTS = \
	"$(GSDL_DIR)\runtime-src\src\recpt\cgiargs.obj" \
	"$(GSDL_DIR)\runtime-src\src\recpt\cgiutils.obj" \
	"$(GSDL_DIR)\runtime-src\src\recpt\htmlutils.obj" \
	abstractlistaction.obj \
	dublincore.obj \
	qualified_dublincore.obj \
	identifyaction.obj \
	listidsaction.obj \
	listrecsaction.obj \
	listsetsaction.obj \
	metaformat.obj \
	metaformatsaction.obj \
	oaiaction.obj \
	oaiargs.obj \
	oaiconfig.obj \
	oaidispatcher.obj \
	oaimain.obj \
	oaitools.obj \
	recordaction.obj \
	resumptiontoken.obj \
	rfc1807.obj

OAISERVER_CGI_LDADD = \
	"$(GSDL_DIR)\runtime-src\src\protocol\libgsdlprotocol.lib" \
	"$(GSDL_DIR)\runtime-src\src\colservr\libgsdlcolservr.lib" \
	"$(GSDL_DIR)\common-src\src\lib\libgsdllib.lib"

# Option: Lucene support (enabled by default)
ENABLE_LUCENE = 1
!IF $(ENABLE_LUCENE)
OAISERVER_CGI_LDADD = $(OAISERVER_CGI_LDADD) "$(GSDL_DIR)\common-src\packages\expat\lib\libexpat.lib"
!ENDIF

# Option: SQLite support (enabled by default)
USE_SQLITE = 1
!IF $(USE_SQLITE)
OAISERVER_CGI_LDADD = $(OAISERVER_CGI_LDADD) "$(GSDL_DIR)\common-src\packages\sqlite\lib\sqlite3.lib"
!ENDIF


COMPILE = $(CPP) -nologo -c -EHsc -D__WIN32__ -DXML_STATIC -D_CRT_SECURE_NO_DEPRECATE $(OAISERVER_CGI_CPPFLAGS)
LINK = $(CPP) -nologo -Fe"$@"

.SUFFIXES:
.SUFFIXES: .cpp .obj

{}.cpp{}.obj:
	$(COMPILE) $<


oaiserver.cgi: $(OAISERVER_CGI_OBJECTS) $(OAISERVER_CGI_LDADD)
	$(LINK) $(OAISERVER_CGI_OBJECTS) $(OAISERVER_CGI_LDADD)

all: $(CGIBIN_PROGRAMS)

install: $(CGIBIN_PROGRAMS)
	copy $(CGIBIN_PROGRAMS) $(CGIBIN_DIR)

clean:
	if EXIST *.obj del *.obj
	if EXIST $(CGIBIN_PROGRAMS) del $(CGIBIN_PROGRAMS)
