###########################################################################
#
# win32.mak -- Windows Makefile for runtime-src\src\protocol
#
# By Michael Dewsnip
#
# Copyright (C) 2010  DL Consulting Ltd.
#
###########################################################################


RUNTIME_SRC_DIR = ..\..
GSDL_DIR = $(RUNTIME_SRC_DIR)\..


# Libraries compiled
LIBRARIES = libgsdlprotocol.lib

# Library: libgsdlprotocol.lib
# Do NOT add the "recpt" directory here: the protocol should be independent of the receptionist!
LIBPROTOCOL_CPPFLAGS = \
	-I"$(GSDL_DIR)\common-src\src\lib" \
	-I"$(GSDL_DIR)\runtime-src\src\colservr"

LIBPROTOCOL_OBJECTS = \
	nullproto.obj \
	recptproto.obj \
	recptprototools.obj


COMPILE = $(CPP) -nologo -c -EHsc -D__WIN32__ -DXML_STATIC -D_CRT_SECURE_NO_DEPRECATE $(LIBPROTOCOL_CPPFLAGS)

.SUFFIXES:
.SUFFIXES: .cpp .obj

.cpp.obj:
	$(COMPILE) $<


libgsdlprotocol.lib: $(LIBPROTOCOL_OBJECTS) 
	if EXIST libgsdlprotocol.lib del libgsdlprotocol.lib
	lib -nologo /out:libgsdlprotocol.lib $(LIBPROTOCOL_OBJECTS)

all: $(LIBRARIES)

install: $(LIBRARIES)

clean:
	if EXIST *.obj del *.obj
	if EXIST $(LIBRARIES) del $(LIBRARIES)
